%define major     0
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Adaptive Multi Rate speech codec
Name:		opencore-amr
Version:	0.1.6
Release:	%mkrel 2
License:	ASL 2.0
Group:		Sound/Utilities
Url:		https://opencore-amr.sourceforge.net/
Source0:	https://sourceforge.net/projects/%{name}/files/%{name}/%{name}-%{version}.tar.gz

%description
This library contains an implementation of the 3GPP TS 26.073
specification for the Adaptive Multi Rate (AMR) speech codec. The
implementation is derived from the OpenCORE framework, part of the
Google Android project.

%package -n	%{libname}
Group:		System/Libraries
Summary:	Adaptive Multi Rate speech codec

%description -n	%{libname}
This library contains an implementation of the 3GPP TS 26.073
specification for the Adaptive Multi Rate (AMR) speech codec. The
implementation is derived from the OpenCORE framework, part of the
Google Android project.

%package -n	%{develname}
Group:		Development/C++
Summary:	Adaptive Multi Rate speech codec - development files
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This library contains an implementation of the 3GPP TS 26.073
specification for the Adaptive Multi Rate (AMR) speech codec. The
implementation is derived from the OpenCORE framework, part of the
Google Android project.

%prep
%autosetup

%build
%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc README LICENSE
%{_libdir}/lib%{name}??.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/lib%{name}??.so
%{_includedir}/%{name}??
%{_libdir}/pkgconfig/%{name}nb.pc
%{_libdir}/pkgconfig/%{name}wb.pc


%changelog
* Tue Mar 26 2024 daviddavid <daviddavid> 0.1.6-2.mga10
+ Revision: 2052214
- move it to Core repo (no more needed to build it in Tainted)

* Tue Dec 06 2022 daviddavid <daviddavid> 0.1.6-1.mga9.tainted
+ Revision: 1918517
- new version: 0.1.6

* Thu Apr 14 2022 umeabot <umeabot> 0.1.5-4.mga9.tainted
+ Revision: 1849695
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 21 2020 umeabot <umeabot> 0.1.5-3.mga8.tainted
+ Revision: 1548883
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Sep 20 2018 umeabot <umeabot> 0.1.5-2.mga7.tainted
+ Revision: 1281323
- Mageia 7 Mass Rebuild

* Sun Oct 08 2017 daviddavid <daviddavid> 0.1.5-1.mga7.tainted
+ Revision: 1170216
- new version: 0.1.5
- disable static libraries

* Sat Dec 26 2015 luigiwalser <luigiwalser> 0.1.3-1.mga6.tainted
+ Revision: 915393
- 0.1.3

* Wed Oct 15 2014 umeabot <umeabot> 0.1.2-8.mga5.tainted
+ Revision: 746627
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.2-7.mga5.tainted
+ Revision: 683199
- Mageia 5 Mass Rebuild

* Thu Oct 31 2013 tmb <tmb> 0.1.2-6.mga4.tainted
+ Revision: 548210
- Mageia 4 rebuild

* Wed Jul 03 2013 dams <dams> 0.1.2-5.mga4.tainted
+ Revision: 449905
- update %%group
- clean specfile
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat May 07 2011 mikala <mikala> 0.1.2-3.mga1
+ Revision: 95840
- Fix License tag

* Sat May 07 2011 mikala <mikala> 0.1.2-2.mga1
+ Revision: 95802
- Clean spec
- Remove plf reference
- imported package opencore-amr


* Wed Dec  2 2009 Götz Waschk <goetz@zarb.org> 0.1.2-1plf2010.1
- update file list
- fix build
- new version

* Mon Jul 20 2009 Götz Waschk <goetz@zarb.org> 0.1.1-1.20090620.1plf2010.0
- add docs
- fix build and installation
- git snapshot

* Mon Jul 20 2009 Götz Waschk <goetz@zarb.org> 0.1.1-1plf2010.0
- initial package

